// Variables that are used on both client and server
 
SWEP.PrintName      = "EMP Tool"     
SWEP.Slot            = 3
SWEP.SlotPos            = 1
SWEP.DrawAmmo         = false
SWEP.DrawCrosshair    = true
SWEP.ViewModelFOV	= 70
 
SWEP.Author   = "NeoDement"
SWEP.Contact        = "No"
SWEP.Purpose        = "To make friendly rollermines :)"
SWEP.Instructions   = "Left click on blue rollermines to turn them into orange rollermines which won't attack you or anyone on your side, but will attack enemy NPCs such as combine soldiers and antlions. Right click to change them back."
 
SWEP.Spawnable      = true
SWEP.AdminSpawnable  = true      // Spawnable in singleplayer or by server admins
 
SWEP.ViewModel      = "models/weapons/v_emptool.mdl"
SWEP.WorldModel   = "models/weapons/w_emptool.mdl"
 
SWEP.Primary.ClipSize      = -1
SWEP.Primary.DefaultClip    = -1
SWEP.Primary.Automatic    = false
SWEP.Primary.Ammo         = "none"
 
SWEP.Secondary.ClipSize  = -1
SWEP.Secondary.DefaultClip  = -1
SWEP.Secondary.Automatic    = false
SWEP.Secondary.Ammo   = "none"
 
local ShootSound = Sound( "AlyxEMP.Discharge" )
//local ShootSound = Sound( "vo/npc/alyx/hurt05.wav" )

/*---------------------------------------------------------
    Initialize - Setting hold type
---------------------------------------------------------*/
function SWEP:Initialize()

	self:SetWeaponHoldType( "slam" )
	
end
 
/*---------------------------------------------------------
    Reload - Spawns a friendly rollermine
---------------------------------------------------------*/
function SWEP:Reload()
    local tr = self.Owner:GetEyeTrace()
 
  Msg("Friendly Rollermine Spawned!\n")
   
    self.Weapon:EmitSound( ShootSound )
    self.Weapon:SendWeaponAnim( ACT_VM_FIDGET )
   
    // The rest is only done on the server
    if (!SERVER) then return end
   
    // Make a rollermine
    local ent = ents.Create( "npc_rollermine" )
        ent:SetPos( tr.HitPos + self.Owner:GetAimVector() * -16 )
        ent:SetAngles( tr.HitNormal:Angle() )
    ent:Spawn()
        ent:SetName( "friendlyroll" )
//Orange please mister
//    ent:SetSkin( 1 )
        ent:SetColor(199, 105, 0, 255)
// What NPCs the rollermine likes and dislikes
                ent:AddRelationship("npc_alyx D_LI 999")
                ent:AddRelationship("player D_LI 999")
//For some reason just adding combine_s makes it hate all combine.
                ent:AddRelationship("npc_combine_s D_HT 998")
                ent:AddRelationship("npc_metropolice D_HT 999")
                ent:AddRelationship("npc_zombie D_HT 999")
                ent:AddRelationship("friendlyroll D_LI 999")
end
 
/*---------------------------------------------------------
   Think does nothing
---------------------------------------------------------*/
function SWEP:Think()
end
 
 
/*---------------------------------------------------------
    PrimaryAttack - Everyone loves orange
---------------------------------------------------------*/
function SWEP:PrimaryAttack()
 
 
//Rollermine detection :O
    local tr = self.Owner:GetEyeTrace() -- What's he looking at
if tr.HitWorld then return end --Dont turn the world invisible! Unfortunately
if tr.Entity:GetClass() != "npc_rollermine" then return end --wtf m8 this aint no roller
//Sounds messages and uh blah
 
  Msg("Rollermine converted! (orange)\n")
   
    self.Weapon:EmitSound( ShootSound )
    self.Weapon:SendWeaponAnim( ACT_VM_FIDGET )
    // The rest is only done on the server
    if (!SERVER) then return end
   
 	local effectdata = EffectData()
		effectdata:SetOrigin( tr.HitPos )
		effectdata:SetNormal( tr.HitNormal )
		effectdata:SetMagnitude( 8 )
		effectdata:SetScale( 1 )
		effectdata:SetRadius( 16 )
	util.Effect( "cball_bounce", effectdata )       tr.Entity:SetName( "friendlyroll" )
//Orange please mister
//    tr.Entity:SetSkin( 1 )
        tr.Entity:SetColor(199, 105, 0, 255)
// What NPCs the rollermine likes and dislikes
                tr.Entity:AddRelationship("npc_alyx D_LI 999")
                tr.Entity:AddRelationship("player D_LI 999")
//For some reason just adding combine_s makes it hate all combine.
                tr.Entity:AddRelationship("npc_combine_s D_HT 998")
                tr.Entity:AddRelationship("npc_metropolice D_HT 999")
                tr.Entity:AddRelationship("npc_zombie D_HT 999")
                tr.Entity:AddRelationship("friendlyroll D_LI 999")


//	end
end
/*---------------------------------------------------------
    SecondaryAttack - Back to blue
---------------------------------------------------------*/
function SWEP:SecondaryAttack()
 
 
 
//Rollermine detection :O
    local tr = self.Owner:GetEyeTrace() -- What's he looking at
if tr.HitWorld then return end --Dont turn the world invisible! Unfortunately
if tr.Entity:GetClass() != "npc_rollermine" then return end --wtf m8 this aint no roller
//Sounds messages and uh blah
 
  Msg("Rollermine converted! (blue)\n")
   
    self.Weapon:EmitSound( ShootSound )
    self.Weapon:SendWeaponAnim( ACT_VM_FIDGET )   
    // The rest is only done on the server
    if (!SERVER) then return end

 	local effectdata = EffectData()
		effectdata:SetOrigin( tr.HitPos )
		effectdata:SetNormal( tr.HitNormal )
		effectdata:SetMagnitude( 8 )
		effectdata:SetScale( 1 )
		effectdata:SetRadius( 16 )
	util.Effect( "cball_bounce", effectdata )       tr.Entity:SetName( "friendlyroll" )   
//Back to blue/default innit
        tr.Entity:SetColor(255, 255, 255, 255)
// What NPCs the rollermine likes and dislikes
                tr.Entity:AddRelationship("npc_alyx D_HT 999")
                tr.Entity:AddRelationship("player D_HT 999")
//For some reason just adding combine_s makes it fear all combine.
                tr.Entity:AddRelationship("npc_combine_s D_FR 998")
end 